export function useVariants() {
  const config = useRuntimeConfig()
  const route = useRoute()
  const variants = config.public.websites.variants || []
  const defaultVariant = config.public.websites.defaultVariant

  // Make current a computed so it tracks route changes
  const current = computed(() => route.params.variant || defaultVariant)
  return {
    variants,
    current,
  }
}
